Subject: 30.0.92; CPerl subroutine signatures are left open when last param is $

From: Peter Oliver <[email-masked]>
Date: Thu, 7 Nov 2024 19:19:31 +0000 (GMT)

Perl subroutine signatures can include a variable with no name, just a bare $, to indicate that a parameter should be ignored.  If this happens in the last place, CPerl mode in Emacs 30.0.92 mishandles it, and is unable to see the closing ).  Consequently, it matches parentheses incorrectly, and misindents subsequent blocks.

I have a test that I will send in as a patch, once I have a bug number.

This issue is not present in Emacs 29.4.

-- 
Peter Oliver